package com.kmall.admin.service;

import com.kmall.admin.entity.PickUpCodeEntity;

import java.util.List;
import java.util.Map;

/**
 * 取货码信息表Service接口
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2020-05-19 09:11:26
 */
public interface PickUpCodeService {

    /**
     * 根据主键查询实体
     *
     * @param orderSn 主键
     * @return 实体
     */
    PickUpCodeEntity queryObject(String orderSn);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<PickUpCodeEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param pickUpCode 实体
     * @return 保存条数
     */
    int save(PickUpCodeEntity pickUpCode);

    /**
     * 根据主键更新实体
     *
     * @param pickUpCode 实体
     * @return 更新条数
     */
    int update(PickUpCodeEntity pickUpCode);

    /**
     * 根据主键删除
     *
     * @param orderSn
     * @return 删除条数
     */
    int delete(String orderSn);

    /**
     * 根据主键批量删除
     *
     * @param orderSns
     * @return 删除条数
     */
    int deleteBatch(String[] orderSns);

    /**
     * 根据订单编号查询核销状态
     * @param orderSn
     * @return
     */
    public String queryPickUpCodeStatus(String orderSn);
}
